Package com.independentsoft.graph.workbooks

# Class Cell

java.lang.Object
com.independentsoft.graph.workbooks.Cell

public class Cell extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cell()`
  `Cell​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getAddressLocal()`
  `int`
  `getColumnIndex()`
  `String`
  `getFormat()`
  `String`
  `getFormula()`
  `String`
  `getFormulaLocal()`
  `String`
  `getFormulaR1C1()`
  `int`
  `getRowIndex()`
  `String`
  `getText()`
  `String`
  `getValue()`
  `CellValueType`
  `getValueType()`
  `boolean`
  `isColumnHidden()`
  `boolean`
  `isHidden()`
  `boolean`
  `isRowHidden()`
  `void`
  `setAddress​(String address)`
  `void`
  `setAddressLocal​(String addressLocal)`
  `void`
  `setColumnHidden​(boolean columnHidden)`
  `void`
  `setColumnIndex​(int columnIndex)`
  `void`
  `setFormat​(String format)`
  `void`
  `setFormula​(String formula)`
  `void`
  `setFormulaLocal​(String formulaLocal)`
  `void`
  `setFormulaR1C1​(String formulaR1C1)`
  `void`
  `setHidden​(boolean hidden)`
  `void`
  `setRowHidden​(boolean rowHidden)`
  `void`
  `setRowIndex​(int rowIndex)`
  `void`
  `setText​(String text)`
  `void`
  `setValue​(String value)`
  `void`
  `setValueType​(CellValueType valueType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Cell

    public Cell()

  - ### Cell

    public Cell​(JsonObject jsonObject)

- ## Method Details

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress​(String address)

  - ### getAddressLocal

    public String getAddressLocal()

  - ### setAddressLocal

    public void setAddressLocal​(String addressLocal)

  - ### isColumnHidden

    public boolean isColumnHidden()

  - ### setColumnHidden

    public void setColumnHidden​(boolean columnHidden)

  - ### getColumnIndex

    public int getColumnIndex()

  - ### setColumnIndex

    public void setColumnIndex​(int columnIndex)

  - ### getFormula

    public String getFormula()

  - ### setFormula

    public void setFormula​(String formula)

  - ### getFormulaLocal

    public String getFormulaLocal()

  - ### setFormulaLocal

    public void setFormulaLocal​(String formulaLocal)

  - ### getFormulaR1C1

    public String getFormulaR1C1()

  - ### setFormulaR1C1

    public void setFormulaR1C1​(String formulaR1C1)

  - ### isHidden

    public boolean isHidden()

  - ### setHidden

    public void setHidden​(boolean hidden)

  - ### getFormat

    public String getFormat()

  - ### setFormat

    public void setFormat​(String format)

  - ### isRowHidden

    public boolean isRowHidden()

  - ### setRowHidden

    public void setRowHidden​(boolean rowHidden)

  - ### getRowIndex

    public int getRowIndex()

  - ### setRowIndex

    public void setRowIndex​(int rowIndex)

  - ### getText

    public String getText()

  - ### setText

    public void setText​(String text)

  - ### getValueType

    public CellValueType getValueType()

  - ### setValueType

    public void setValueType​(CellValueType valueType)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue​(String value)